#!/bin/sh

dest_dir=/bootbank/PowerActPro/SlaveAgent
top_dest_dir=/bootbank/PowerActPro
AUTOSTARTWAY=/etc/rc.local

PA_SLAVE_AUTOSTART_SECTION="\n\
#Slave Auto Start begin\n\
/bootbank/PowerActPro/SlaveAgent/PowerActPro start\n\
#Slave Auto Start end\n"

echo "\

IMPORTANT

By installation of this software (Windows version or Linux version) to your 
computer, you agree to be bound by the following Software License Agreement. 
If you do not agree, please do not install this software (\"Software\").

The warranty service set forth in Section 7 of the Software License Agreement
and any information on the Software and its revision and new version will not
be provided to you, unless you register as an user of the Software by the 
enclosed user registration card.
Please promptly fill in the card and send it to OMRON Corporation.

Software License Agreement

This is a binding agreement between OMRON Corporation (\"OMRON\")
and you (the \"User\") on the terms and conditions of the license 
of the Software.

1.In this Agreement, \"Software\" means the computer program and related 
  documentation contained in this package. The \"Software\" shall include
  any derivative works thereto. Copyright of the Software remains the sole
  property of OMRON or the third party who has licensed the Software to OMRON
  and shall not be assigned to the User under this Agreement.

2.OMRON grants the User a non-exclusive, non-transferable and limited license
  to use the Software only for the purpose of managing Uninterruptive Power 
  Supply sold by OMRON on one computer owned by the User.

3.The User shall not sub-license, assign nor lease the Software to any third 
  party without prior written consent of OMRON.

4.The User may copy the Software for back-up purpose only. The User may not 
  de-compile, reverse engineer nor otherwise attempt to discern the source 
  code of the Software. 

5.The User may modify the Software and the modified Software shall be subject
  to the terms and conditions of this Agreement, provided however that, OMRON
  shall not be assume any liability for any modified Software.

6.The User shall treat any information contained in the Software as 
  confidential and shall not disclose it to any third party. This obligation
  shall survive the termination of this Agreement.

7.OMRON warrants to the User who has registered by the User Registration Card
  that, for a period of ninety (90) days after the User's purchase, the 
  Software will perform substantially in accordance with the attached user 
  manual.
  If the registered User discovers defect of the Software (substantial 
  non-conformity with the manual), and return it to OMRON within the said 
  ninety (90) days period, OMRON will replace the Software without charge. 
  The User acknowledges that all errors or bugs of the Software may not be 
  removed by such replacement.

8.THE ABOVE REPLACEMENT SHALL CONSTITUTE THE USER'S SOLE AND EXCLUSIVE REMEDIES
  AGAINST OMRON AND THERE ARE NO OTHER WARRANTIES, EXPRESSED OR IMPLIED, 
  INCLUDING BUT NOT LIMITED TO, WARRANTY OF MERCHANTABILITY OR FITNESS FOR 
  PARTICULAR PURPOSE. 
  IN NO EVENT, OMRON WILL BE LIABLE FOR ANY LOST PROFITS OR OTHER INDIRECT, 
  INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THIS AGREEMENT
  OR USE OF THE SOFTWARE.

9.In any event, OMRON's entire liability to the User for any cause shall not 
  exceed the amount actually paid by the User to purchase the Software.

10.If the User breaches this Agreement, OMRON may terminate this Agreement 
  upon notice to the User. In that event, the User shall return the Software 
  and all copies thereof.

11.Neither this Agreement nor any party or portion hereof shall be assigned,
  sub-licensed or otherwise transferred by the User. Should any provision of
  this Agreement be held to be void, invalid, unenforceable or illegal by a
  court, the validity and enforceability of the other provisions of this 
  Agreement shall not be affected thereby. Failure of a party to enforce any
  provision of this Agreement shall not constitute or be construed as a waiver
  of such provision or of the right to enforce such provision.

12.If the User will de-compile, reserve engineer, or otherwise attempt to
  discern the source code of the Software, OMRON shall have no liability for
  any claim of patent, utility model right, trade secret or copyright
  infringement whenever the User was claimed by the third party who consented
  OMRON to use the Software or by the other third party.

13.This Agreement shall be governed by and construed under the laws of Japan." >/tmp/omronlicense.txt;

cat /tmp/omronlicense.txt


bContinue=1
while test $bContinue -eq 1;
do
	echo -e "Do you agree this license? [ y/n ] \\c";
	INFOMSG="\nSince you disagree, we shall fail to install. \n"
        read reply </dev/tty
	case "$reply" in 
		[Yy])
			bContinue=0;
			rm -f /tmp/omronlicense.txt;
			;;
		[Nn])
			bContinue=0;
			echo -e $INFOMSG;
			rm -f /tmp/omronlicense.txt;
			exit -1; 
			;;
		*)
			cat /tmp/omronlicense.txt | more -pd;
			;;
	esac
done

if [ 2 -eq `grep -c "#Slave Auto Start" $AUTOSTARTWAY` ]
then
	echo ""
	echo "	This computer already installed PowerAct Pro Slave Agent." 
	echo "	Please remove it before installation!"
	echo ""
	exit 1
fi

rm -r -f $top_dest_dir >/dev/null
mkdir $top_dest_dir >/dev/null
tar xvf PowerActPro-Slave.tar  -C /tmp/ >/dev/null

cp -r -f /tmp/PowerActPro-Slave/slaveagent/ $dest_dir >/dev/null
chmod 777 $dest_dir/**
chmod 777 $dest_dir/AgentManager/**
chmod 777 $dest_dir/ControlCenter/**
chmod 777 $dest_dir/Slave/**
chmod 777 $dest_dir/Slave/Res/**
touch $dest_dir/.running

if [ ! 2 -eq `grep -c "#Slave Auto Start" $AUTOSTARTWAY` ]; then
	echo -e $PA_SLAVE_AUTOSTART_SECTION >> $AUTOSTARTWAY
	chmod 777 $AUTOSTARTWAY
fi

echo
echo "   PowerAct Pro Slave Agent program has been installed completely."
echo "   Please run below command and setup the shutdown parameters of slave"
echo "   agent to meet your system."
echo "   "
echo "        Command:  /bootbank/PowerActPro/SlaveAgent/slaveconfig.sh"

rm -r -f /tmp/PowerActPro-Slave >/dev/null
rm -r -f libc >/dev/null

